[Snort-users] snortdb schema update

Kreimendahl, Chad J Chad.Kreimendahl at ...4716...
Tue Mar 19 07:33:41 EST 2002


Am I wrong here?:  It looks like the code checks for which schema you're
using before it does any database calls...  

which error did you get?
if you get "database: The database is using an older version of the DB
schema", then it's just a warning, everything should still work.

There was no change in the schema as it relates to MySQL, so you should be
able to:

INSERT INTO schema  (vseq, ctime) VALUES ('105', now());
DELETE FROM schema WHERE vseq = '104';

-----Original Message-----
From: Poppi, Sandro [mailto:Sandro.Poppi at ...3316...]
Sent: Tuesday, March 19, 2002 6:37 AM
To: snort-users at lists.sourceforge.net
Subject: [Snort-users] snortdb schema update


I just installed the snort rpm 1.8.4 of last saturday over my previously
installed 1.8.4beta1 and snort now tells me that the database schema of my
mysql db is not the actual one (I'm still on 1.04). Is there a simple way to
update the db schema without the need of creating a new db in mysql AND
without loosing existing alerts?

If not, did anyone already have a little script to copy the old database
contents to the new db (any RTFM link is also appreciated but I didn't find
it in the FAQ or archives ;) since I'm no sql guru.

TIA,
Sandro


_______________________________________________
Snort-users mailing list
Snort-users at lists.sourceforge.net
Go to this URL to change user options or unsubscribe:
https://lists.sourceforge.net/lists/listinfo/snort-users
Snort-users list archive:
http://www.geocrawler.com/redir-sf.php3?list=snort-users




More information about the Snort-users mailing list